package org.dromara.zhishu.service;

import jakarta.validation.constraints.NotNull;
import org.dromara.zhishu.domain.Logistics;
import org.dromara.zhishu.domain.bo.LogisticsBo;

import java.util.List;

public interface LogisticsService {

    Integer insert(LogisticsBo bo);

    List<Logistics> selectLogistics(String warehouseId);

    Logistics queryById(@NotNull(message = "主键不能为空") Long id);

    Boolean setTemplate(LogisticsBo bo);
}
